<?php /*windu.org core*/
class cache
{
	private static $data = array();
	
	public static function read($name){
		if (isset(self::$data[$name])) {
			return self::$data[$name];
		}
		$cacheDB = new cacheDB();
		$data = $cacheDB->fetchRow("name = '".md5($name)."'");
		
		if ($data->serialized == 1) {
			$data->data = unserialize($data->data);
		}
		self::$data[$name] = $data->data;
		return $data->data;
	}
	public static function write($name,$data,$bucket = 0){
		$cacheDB = new cacheDB();
		$serialized = 0;
		if (is_array($data)) {
			$data = serialize($data);
			$serialized = 1;
		}
		return $cacheDB->write(md5($name),$data,$bucket,$serialized);
	}
	public static function isCached($name,$expire = null) {
		$cacheDB = new cacheDB();
		$name = md5($name);
		if ($expire!=null) {
			$date = generator::sqlDatetime(time()-$expire);

			$dataWhere = " and updateTime > '{$date}'";
		}else $dataWhere = null;
		 
		if(is_object($cacheDB->fetchRow("name = '{$name}' {$dataWhere}"))){
			return true;
		}else{
			return false;
		}
	}
	public static function clearBucket($bucket) {
		$cacheDB = new cacheDB();
		$cacheDB->deleteRows("bucket='{$bucket}'");
	}
	public static function clearByName($name) {
		$cacheDB = new cacheDB();
		$name = md5($name);
		$cacheDB->deleteRows("name='{$name}'");
	}	
	public static function clearAll(){
		$cacheDB = new cacheDB();
		$cacheDB->truncate();

		$sessionDB = new sessionDB();
		$sessionDB->clean();
	}
	
	public static function flushAllCache() {
		//clear database
		self::clearAll();
						
		//clear files dir
		baseFile::truncateDir(__SITE_PATH.'/cache/cache/');
		baseFile::truncateDir(__SITE_PATH.'/cache/templates_c/');
		baseFile::truncateDir(__SITE_PATH.'/cache/resources/');
		baseFile::truncateDir(__SITE_PATH.'/cache/system/');
		
		return true;
	}
	public static function flushSystemCache() {
		baseFile::truncateDir(__SITE_PATH.'/cache/system/');
		
		return true;
	}	

}
?>
