<?php
	define('DB_TYPE', 'sqlite');
	//define('DB_TYPE', 'mysql');
	
	define('DB_READ_ONLY_MODE', 0);
	define('DB_READ_ONLY_EXCLUDED_TABLES', 'cache,log,notify,session,statistic,systemstatus,');
	
	define('DATA_PATH', __SITE_PATH.'/data/');
	
	//SQLite Database
	define('FILE_DB_PATH', DATA_PATH.'database'.'/');
	define('FILE_DB_FILE', 'database.sqlite');

	//MySQL Database
	define('DB_HOST', 'localhost');
	define('DB_NAME', 'windu');
	define('DB_USER', 'windu');
	define('DB_PASSWORD', 'password');	
	
	//Php Ini config
	if (ini_get('post_max_size') > ini_get('upload_max_filesize')) {
		define('MAX_UPLOAD_FILE_SIZE',ini_get('upload_max_filesize'));
	}else{
		define('MAX_UPLOAD_FILE_SIZE',ini_get('post_max_size'));
	}

	//Paths
	define('WIDGET_PATH', DATA_PATH.'widgets/');	
	define('WIDGET_OFF_PATH', DATA_PATH.'widgetsOff/');	
	define('TEMPLATES_PATH',DATA_PATH.'themes/');
	define('LANGUAGES_PATH', DATA_PATH.'languages/');	
	define('BACKUPS_PATH', DATA_PATH.'backups/');	
	define('DUMPS_PATH', DATA_PATH.'dumps/');	
	
	define('PLUGIN_PATH', 'app/plugins');	
	define('FILES_DIR', 'data/files/');

	//Plugins oddzielone przecinkiem
	define('PLUGINS', 'admin,database,update,front,html,image,mail,widget,file');
?>