<?php /*windu.org admin controller*/
Class adminUpdateController extends adminAuthController
{
	function smartyGo()
	{
		parent::smartyGo();
		$this->smarty->template_dir = array(__SITE_PATH . '/app/plugins/admin/templates/');
	}
	public function __construct($request){

		parent::__construct($request);
	}
	public function index()
	{
		//Sparwdzam czy jest jakis nowy update
		if (check::update()) {
			$this->smarty->assign('load','10');
			$this->smarty->assign('step','downloadUpdate');
			$this->smarty->assign('title',lang::read('admin.update.controller.downloadupdate'));
		}else{
			router::redirect('admin');
		}
		$this->pageDisplayHook('update.tpl','mainSimple.tpl');
	}
	public function afterLicence()
	{
		if (check::update()) {
			router::redirect('admin-update');
		}else{
			router::redirect('admin-system',array('mn'=>'admin.message.wrong.licence.key'));
		}
	}
	//Pobiera aktualizacje
	public function downloadUpdate() {
		$updateObject = new updateManager();
		$updateObject->setDownloadUpdateFlag( true );
		$updateObject->setPerformUpdateFlag( false );
		$updateObject->update();

		$this->smarty->assign('load',50);
		$this->smarty->assign('step','doUpdate');
		$this->smarty->assign('title',lang::read('admin.update.controller.beginupdate'));
		$this->pageDisplayHook('update.tpl','mainSimple.tpl');
	}

	//Wykonuje update
	public function doUpdate(){
		
		$this->smarty->assign('load','100');
		$this->smarty->assign('step','finish');
		$this->smarty->assign('title',lang::read('admin.update.controller.backtopanel'));		
		
		$updateObject = new updateManager();
		$updateObject->setDownloadUpdateFlag( false );
		$updateObject->setPerformUpdateFlag( true );
		$updateObject->update();

		//clear system cache
		cache::flushAllCache();
		
		//clear old notify
		$notifyDB = new notifyDB();
		$notifyDB->closeAll();
		
		//Update log
		log::write("Update to revision ".config::get('revision'),logDB::BUCKET_UPDATE);
		
		//check system
		check::all();


		$this->pageDisplayHook('update.tpl','mainSimple.tpl');
	}

	//Po updacie robi redirecta na strone glowna palenu admina
	public function finish(){
		updatePHP::run();
		router::redirect('admin');
	}

}
?>
