<?php /*windu.org admin controller*/
Class adminAjaxWidgetsController Extends adminAjaxController{
	public function __construct($request){
		parent::__construct($request);
	}
	public function index()
	{	
		
	}	
	public function choseWidget()
	{	
		$form = new form('selectWidget','selectWidgetSuccess',$_POST,'POST','form-horizontal');
		$form->add('widget', 'select',lang::read('admin.content.controller.elementtype'), cookie::readCookie('lastContentAdd'), array("option"=>widgetsDB::getWidgetArray()));
		$form->addRule('widget', 'required', null,lang::read('admin.content.controller.giveelementname'));
		
		$form->addButton('submit',lang::read('form.button.title.next'));
		$form->setHandler($this);
		$form->handle();
				
		$this->smarty->assign('form',$form);
		$this->pageDisplay('widgetsChoseWidgetModal');
	}
	public function selectWidgetSuccess($data){
		router::redirect('admin-widgets-ajax-action-id',array('action'=>'choseOptions','id'=>$data['widget']));
	}
	
	public function choseOptions()
	{	
		$form = new form('selectWidget','choseOptionsSuccess',$_POST,'POST','form-horizontal');
		
		$widgetIniFilePath = WIDGET_PATH.$this->request->getVariable('id').'/doc/helper.ini';
		$valuesConfig = ini::parse($widgetIniFilePath);

		if (count($valuesConfig)<=0) {
			router::redirect('admin-widgets-ajax-action-id',array('action'=>'generateWidgetCode','id'=>$this->request->getVariable('id')));
		}
		
		foreach ($valuesConfig as $valueConfig){
			$inputData = null;
			if ($valueConfig['dateType']=='php') {
				eval($valueConfig['date']);
				if ($inputData['option']==null) {
					$inputData['option'] = array('0'=>'-');
				}
			}elseif ($valueConfig['dateType']=='commaArray'){
				$inputDataArray=explode(',', $valueConfig['date']);
				$inputDataArrayFin = array();
				foreach ($inputDataArray as $row){
					$inputDataArrayFin[$row]=$row;
				}
				$inputData=array("option"=>$inputDataArrayFin);
			}
			$form->add($valueConfig['name'], $valueConfig['inputType'],$valueConfig['name'], null, $inputData);
			
			if ($valueConfig['rule']!=null) {
				$form->addRule($valueConfig['name'], $valueConfig['rule'], null,lang::read('admin.content.controller.giveelementname'));	
			}
					
		}
		$form->add('name', 'input-hidden',null, $this->request->getVariable('id'));
		
		$form->addButton('submit',lang::read('form.button.title.next'));
		$form->addButton('cancel',lang::read('form.button.title.cancel'),'btn btn-margin-left',HOME.'admin/ajax/widgets/choseWidget/',null,'icon-ban-circle');
		$form->setHandler($this);
		$form->handle();
				
		$this->smarty->assign('form',$form);
		$this->pageDisplay('widgetsChoseOptionsModal');
	}	
	public function choseOptionsSuccess($data){
		$widgetName = $data['name'];
		unset($data['name']); 
		
		if (is_array($data)){
			foreach ($data as $key => $value){
				if ($value!=null) {
						$widgetCode .= " {$key}={$value}";
				}
			}
		}
		router::redirect('admin-widgets-ajax-action-id',array('action'=>'generateWidgetCode','id'=>$widgetName,'data'=>base64_encode($widgetCode)));
	}
		
	public function generateWidgetCode()
	{	
		$data = unserialize(cookie::readCookie('widgetInserter'));
	
		$widgetCode .= "{{W name={$this->request->getVariable('id')}";

		if ($this->request->getVariable('data')!=null) {
			$widgetCode .= ' '.base64_decode($this->request->getVariable('data'));
		}
		$widgetCode .= '}}';

		$this->smarty->assign('widgetCode',$widgetCode);
		$this->pageDisplay('widgetCodeModal');
	}	
}
?>
