<?php /*windu.org admin controller*/
Class adminThemesDoController Extends adminAuthDoController{
	
	public function delete(){
		$themesDB = new themesDB($this->request->getVariable('theme').'/'.$this->request->getVariable('tpldir'));
		$themesDB->delete($this->request->getVariable('tpl'));
		router::back($this->request);
	}		
	public function delete_file() {
		baseFile::delete(__SITE_PATH.base64_decode($this->request->getVariable('theme')));
		router::back($this->request);
	}
	public function delete_template() {
		$themesDB = new themesDB($this->request->getVariable('theme'));
		$themesDB->deleteTemplate();

		router::redirect('admin-themes',array(),false);
	}
	public function delete_widget() {
		$widgetsDB = new widgetsDB($this->request->getVariable('theme'));
		$widgetsDB->deleteWidget();
		router::redirect('admin-themes',array(),false);
	}
	public function deleteWidgetFile() {
		$path = WIDGET_PATH.$this->request->getVariable('theme').'/'.$this->request->getVariable('tpldir').'/'.$this->request->getVariable('tpl');
		baseFile::delete($path);
		router::redirect('admin-themes',array('action'=>'show','theme' => $this->request->getVariable('theme')),false);
	}
	public function setTempleteActive() {
		config::set('template', $this->request->getVariable('theme'));
		router::back($this->request);
	}
	public function duplicateTemplate() {
		baseFile::copyDir(TEMPLATES_PATH.$this->request->getVariable('theme').'/', TEMPLATES_PATH.$this->request->getVariable('theme').'-copy/');
		router::back($this->request);
	}
	public function downloadTemplate() {
		compress::getZipFile($this->request->getVariable('theme'), TEMPLATES_PATH.$this->request->getVariable('theme'));
	}	
	public function downloadWidget() {
		if (is_dir(WIDGET_PATH.$this->request->getVariable('theme'))) {
			compress::getZipFile($this->request->getVariable('theme'), WIDGET_PATH.$this->request->getVariable('theme'));
		}else{
			compress::getZipFile($this->request->getVariable('theme'), WIDGET_OFF_PATH.$this->request->getVariable('theme'));
		}
		
	}
	public function duplicateWidget() {
		baseFile::copyDir(WIDGET_PATH.$this->request->getVariable('theme').'/', WIDGET_PATH.$this->request->getVariable('theme').'copy/');
		baseFile::rename( WIDGET_PATH.$this->request->getVariable('theme').'copy/'.$this->request->getVariable('theme').'Controller.class.php',
						  WIDGET_PATH.$this->request->getVariable('theme').'copy/'.$this->request->getVariable('theme').'copyController.class.php');
		baseFile::rename( WIDGET_PATH.$this->request->getVariable('theme').'copy/'.$this->request->getVariable('theme').'View.tpl',
						  WIDGET_PATH.$this->request->getVariable('theme').'copy/'.$this->request->getVariable('theme').'copyView.tpl');

		$controlerContent = file_get_contents(WIDGET_PATH.$this->request->getVariable('theme').'copy/'.$this->request->getVariable('theme').'copyController.class.php');
		$controlerContent = str_replace($this->request->getVariable('theme'), $this->request->getVariable('theme').'copy', $controlerContent);		
		file_put_contents(WIDGET_PATH.$this->request->getVariable('theme').'copy/'.$this->request->getVariable('theme').'copyController.class.php', $controlerContent) ; 
		router::back($this->request);
	}		
	
	
	public function deactivateWidget() {
		baseFile::rename(WIDGET_PATH.$this->request->getVariable('theme'), WIDGET_OFF_PATH.$this->request->getVariable('theme'));
		router::back($this->request);
	}	
	public function activateWidget() {
		baseFile::rename(WIDGET_OFF_PATH.$this->request->getVariable('theme'),WIDGET_PATH.$this->request->getVariable('theme'));
		router::back($this->request);
	}		
	
	public function editAjaxSuccess() {
		$data = array_map( 'stripslashes', $_POST );
		$themesDB = new themesDB($this->request->getVariable('theme'));
		$themesDB->save($this->request->getVariable('tpldir').'/'.$this->request->getVariable('tpl'),$data['themeContent']);
	}	
	public function editAjaxWidgetSuccess() {
		$data = array_map( 'stripslashes', $_POST );
		$widgetsDB = new widgetsDB($this->request->getVariable('theme'));
		
		if ($this->request->getVariable('tpldir')!=null) {
			$tplDirPom = $this->request->getVariable('tpldir').'/';
		}
		
		$widgetsDB->save($tplDirPom.$this->request->getVariable('tpl'),$data['widgetContent']);
	}	
}
?>