function loadDoAction(url,id){
	$.ajaxSetup ({
	    cache: false
	});	
	$(id+' i').load(url, function() {
		$(id+' i').toggleClass('icon-red');
		$(id+' i').toggleClass('icon-grey');	
	});	
}
function toggleHidden(id){
	$('.'+id).toggleClass('hidden');
	if($.cookie(id)=='1'){
		$.cookie(id, '0',{ path: '/'});
	}else{
		$.cookie(id, '1',{ path: '/'});
	}
}
function setTabOpen(name){
	var tabNameArray=name.replace('#','').split('_');
	
	$.cookie('main-'+tabNameArray[0],tabNameArray[1],{path:SUBDIR+'admin/'});
	$.cookie('openMainMenu','main-'+tabNameArray[0],{path:SUBDIR+'admin/'});	
}
function showTab(name){
	setTabOpen(name);
	$('.nav-tabs a[href='+name+']').tab('show') ;
}
function togglepopover(id)
{
	$('i[rel=popovercontentlist][id!=popover-id-'+id+']').popover('hide');
	$('i[id=popover-id-'+id+']').popover('toggle');
}
$(document).ready(function(){
	$('#tabContent a:first').tab('show');
	$('#tabContent a').click(function (e) {
		e.preventDefault();
		$(this).tab('show');
		$.cookie('openContentTab', $(this).attr('href'), '/');
	})	
	
	$('#tabModerator a:first').tab('show');
	$('#tabModerator a').click(function (e) {
		e.preventDefault();
		$(this).tab('show');
		$.cookie('openModeratorTab', $(this).attr('href'), '/');
	})		
	
	$('#myTab a:first').tab('show');
	$('#myTab a').click(function (e) {
		
		e.preventDefault();
		$(this).tab('show');
		$('i[rel=popovercontentlist]').popover('hide');
		setTabOpen($(this).attr('href'));
		window.boxwidth = $('.box-floating').width();
		window.offset = $('.box-floating').offset();
		redrawCharts();
	})
	
	var url = document.location.toString();
	
	if (url.match('#')) {
	    $('.nav-tabs a[href=#'+url.split('#')[1]+']').tab('show') ;
	}else if($.cookie($.cookie('openMainMenu'))!=null){
		$('.nav-tabs a[href=#'+$.cookie('openMainMenu').replace('main-','')+'_'+$.cookie($.cookie('openMainMenu'))+']').tab('show');
	} 
	
	if($.cookie('openContentTab')!=null){
		$('#tabContent a[href='+$.cookie('openContentTab')+']').tab('show');
	} 	
	if($.cookie('openModeratorTab')!=null){
		$('#tabModerator a[href='+$.cookie('openModeratorTab')+']').tab('show');
	} 		
	
	$("[rel=popover]").popover();
	$("[rel=tooltipform]").tooltip(
	{
		placement:'right'
	});	
	$("[rel=tooltipimageslist]").tooltip(
	{
		placement:'left'
	});	
	$("[rel=tooltipimageslistright]").tooltip(
	{
		placement:'right'
	});	
	$("[rel=tooltipmenu]").tooltip(	{
		placement:'right'
	});
	$("[rel=tooltip]").tooltip(
	{
		placement:'top'
	});	
	$("[rel=tooltipright]").tooltip(
	{
		placement:'right'
	});		
	$("[rel=tooltipbottom]").tooltip(
	{
		placement:'bottom'
	});	
	$("[rel=popovercommentslist]").popover(
	{
		placement:'left',
		trigger:'hover',
		html: true
	});		
	$("[rel=popoverconstantlist]").popover(
	{
		placement:'right',
		trigger:'hover',
		html: true
	});		
	$("[rel=popoverimageslist]").popover(
	{
		placement:'left',
		trigger:'hover',
		html: true
	});	
	$("[rel=popovercontentlist]").popover(
	{
		placement:'right',
		trigger:'manual',
		html: true
	});		
	
	$("[rel=popoverimagesmodal]").popover(
	{
		placement:'top',
		trigger:'hover',
		html: true
	});	

	$(".tablesort").tablesorter(); 
	$('#notifyModal').modal({
		show:false
	});	
	$('#imagesModal').modal({
		show:false
	});	
	$('#widgetsModal').modal({
		show:false
	});	
	$('#notesModal').modal({
		show:false
	});	
	$('#mailingModal').modal({
		show:false
	});	
	$('#imageGeneratorModal').modal({
		show:false
	});		
	
	$('div.alert-popup').delay(3000).fadeOut(300);


});
function putContentInToDiv(target,content){
	$(target).html(decodeURIComponent(content).replace("{{$HOME}}", HOME));
}
function drawLineChart(id,data) {
	google.load("visualization", "1", {packages:["corechart"]});
    var options = {
    		  chartArea:{left:0,width:"100%",height:"100%"},
	          legend:{position: 'none'},
	          width:'100%',
	          height:320,
	          pointSize: 2,
	          vAxis:{gridlines:{color: '#eee', count: 5},textPosition:'in',baselineColor:'#b3bfd8',textStyle:{color:'silver'}},
	          areaOpacity:0.1,
	          hAxis:{textPosition:'none'}

	        };
	
	var chart = new google.visualization.AreaChart(document.getElementById(id));
	chart.draw(data, options);
  }
function drawLineChartSmall(id,data) {
	google.load("visualization", "1", {packages:["corechart"]});
    var options = {
    		  chartArea:{left:0,width:"100%",height:"100%"},
	          legend:{position: 'none'},
	          width:'100%',
	          height:120,
	          pointSize: 2,
	          vAxis:{gridlines:{color: '#eee', count: 3},textPosition:'in',baselineColor:'#b3bfd8',textStyle:{color:'silver'}},
	          areaOpacity:0.1,
	          hAxis:{textPosition:'none'}

	        };
	
	var chart = new google.visualization.AreaChart(document.getElementById(id));
	chart.draw(data, options);
  }
function drawLineChartMedium(id,data) {
	google.load("visualization", "1", {packages:["corechart"]});
    var options = {
	          chartArea:{left:0,width:"100%",height:"100%"},
	          legend:{position: 'none'},
	          width:'100%',
	          height:200,
	          pointSize: 2,
	          vAxis:{gridlines:{color: '#eee', count:4},textPosition:'in',baselineColor:'#b3bfd8',textStyle:{color:'silver'}},
	          areaOpacity:0.1,
	          hAxis:{textPosition:'none'}
	        };
	
	var chart = new google.visualization.AreaChart(document.getElementById(id));
	chart.draw(data, options);
  }
jQuery(function ($) {
	
	if ($('.box-floating').length > 0){
		window.offset = $('.box-floating').offset();
		window.boxwidth = $('.box-floating').width();
		window.boxheight = $('.box-floating').height();
		$(window).resize(function() {
			window.boxwidth = $('.box-floating').parent().width();
			$('.box-floating').css( 'width', window.boxwidth );
		});
		
		$(window).scroll(function () {

			var scrTop = $(document).scrollTop()+15;
			if(scrTop <= window.offset.top || window.boxheight >= ($(window).height()-300)) $('.box-floating').removeClass('put-box-up');
			else{
				if(window.boxwidth!=0){
					$('.box-floating').css( 'width', window.boxwidth );
				}else{
					$('.box-floating').css( 'width', '36%' );
				}
				$('.box-floating').addClass('put-box-up');
			}
		});
	}
	if ($('.box-floating-config').length > 0){
		window.offset = $('.box-floating-config').offset();
		window.boxwidth = $('.box-floating-config').width();
		window.boxheight = $('.box-floating-config').height();
		$(window).resize(function() {
			window.boxwidth = $('.box-floating-config').parent().width();
			$('.box-floating-config').css( 'width', window.boxwidth );
		});
		
		$(window).scroll(function () {

			var scrTop = $(document).scrollTop()+15;
			if(scrTop <= window.offset.top || window.boxheight >= ($(window).height()-300)) $('.box-floating-config').removeClass('put-box-up');
			else{
				if(window.boxwidth!=0){
					$('.box-floating-config').css( 'width', window.boxwidth );
				}else{
					$('.box-floating-config').css( 'width', '36%' );
				}
				$('.box-floating-config').addClass('put-box-up');
			}
		});
	}	
});	
function redrawCharts () {
	if(window.dataSize!=null){drawLineChartSmall('chartLineSize',window.dataSize);}
	if(window.dataStat!=null){drawLineChart('chartLineStat',window.dataStat);}
	if(window.dataContacts!=null){drawLineChartMedium('chartLineContacts',window.dataContacts);}
	if(window.dataMailings!=null){drawLineChartMedium('chartLineMailings',window.dataMailings);}
	if(window.dataStatIndex!=null){drawLineChartMedium('chartLineStatIndex',window.dataStatIndex);}
	
	if(window.dataStatAlexaGlobalSmall!=null){drawLineChartSmall('dataStatAlexaGlobalSmall',window.dataStatAlexaGlobalSmall);}
	if(window.dataStatAlexaCountrySmall!=null){drawLineChartSmall('dataStatAlexaCountrySmall',window.dataStatAlexaCountrySmall);}
	if(window.dataStatAlexaLinkSmall!=null){drawLineChartSmall('dataStatAlexaLinkSmall',window.dataStatAlexaLinkSmall);}
}
$(window).resize(function() {
	redrawCharts();
});
