<?php /*windu.org database*/

class DB
{
	/**
	 * @var PDO
	 */
	private static $instance = NULL;

	public static function getInstance()
	{
		if (DB_TYPE=='mysql') {
			if (!self::$instance)
			{
				self::$instance = new PDO('mysql:host='.DB_HOST.';dbname='.DB_NAME,DB_USER,DB_PASSWORD);
				self::$instance-> setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
                                self::$instance->setAttribute(PDO::ATTR_ORACLE_NULLS, PDO::NULL_NATURAL);
				//self::$instance->query('set names "utf8"');
			}
		}else{
			if (!self::$instance)
			{
				self::$instance = new PDO('sqlite:'.FILE_DB_PATH.FILE_DB_FILE);
				self::$instance-> setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
                                self::$instance->setAttribute(PDO::ATTR_ORACLE_NULLS, PDO::NULL_NATURAL);
			}
		}

		return self::$instance;
	}
	public static function vacuum() {
		if (DB_TYPE=='sqlite') {
			$db = self::getInstance();
			$db->query('VACUUM');
		}
	}
	private function __clone(){}
}

?>
