<?php /*windu.org front controller*/
Class frontController Extends frontMainController {

	public function index()
	{
		//debugger::dprint(lang::preferedLanguage(array('en','pl')));
		//lang::setLangByDomain(array('adwokat.co.uk'=>390,'advocate.co.uk'=>403));
		
		$pagesDB = new pagesDB();
		$imagesDB = new imagesDB();
		$usersDB = new usersDB();
		//debugger::dprint($usersDB->saltPassword('adam20'));
		$statisticDB = new statisticDB();
		
		$urlKey = generator::clean($this->request->getVariable('urlKey'));

		$page = $pagesDB->getPageByUrlKeySmart($urlKey);

		if ($page==null){
			log::write($urlKey,logDB::BUCKET_404);
			$this->pageDisplay('error404.tpl'); exit;
		}
				
		//Add page view
		$pageViewsArray = json_decode(cookie::readCookie('visited'),true);

		if($pageViewsArray==null){
			$statisticDB->addView();
		}	
		
		//write page status
		systemStatus::writeTodayStatus(HOME);
			
		if($pageViewsArray[$page->urlKey]!=1){
			$pagesDB->addView($page->id);
			$pageViewsArray[$page->urlKey]=1;
			cookie::setCookie('visited',json_encode($pageViewsArray),43200);
		}
		
		//Url redirect
		if ($page->type == pagesDB::TYPE_URL) {
			router::redirect(str_replace('{{$HOME}}', HOME, $page->content));
		}
		
		if(!$this->smarty->templateExists($page->tpl)){
		    $pageTpl = themesDB::$basicTpl;
		}else{
			$pageTpl = $page->tpl;
		}
		
		$this->smarty->assign('meta',$pagesDB->meta($page));
		$this->smarty->assign('page',$page);
		$this->smarty->assign('pageTpl',$pageTpl);
		$this->smarty->assign('pagesDB',$pagesDB);
		$this->smarty->assign('imagesDB',$imagesDB);
		$this->smarty->assign('usersDB',$usersDB);	
		
		
		$this->pageDisplay('main.tpl',LANG.__HOME);
	}
}

?>
