<?php /*windu.org admin controller*/
Class adminContentDoController Extends adminAuthDoController{

	public function saveFromJsList() {
		$data = $_POST['data'];
		$pagesDb = new pagesDB();
		
		foreach($data as $element){
			$position = $upPositionMem+1;
			$pagesDb->updateRow(array('parentId' => $element['parent'],'position' => $position),"id = {$element['id']}");
			$upPositionMem = $this->getPosition($element['id'],$pagesDb);
		}
	}

	public function saveFromJsListGallery() {
		$data = $_POST['data'];
		$imagesDb = new imagesDB();

		foreach($data as $element){
			$position = $upPositionMem+1;
			$imagesDb->updateRow(array('position' => $position),"id = {$element['id']}");
			$upPositionMem = $this->getPosition($element['id'],$imagesDb);
		}
	}	

	public function saveFromJsListNews() {
		$data = $_POST['data'];
		$pagesDb = new pagesDB();
		
		foreach($data as $element){
			$position = $upPositionMem+1;
			$pagesDb->updateRow(array('position' => $position),"id = {$element['id']}");
			$upPositionMem = $this->getPosition($element['id'],$pagesDb);
		}
	}	
	
	private function getPosition($id,$db) {
		if ($id==null) return 0;
		$row = $db->fetchRow("id={$id}");
		return $row->position;
	}
	
	public function delete(){
		$pagesDB = new pagesDB();
		$pagesDB->deleteTreeItems($this->request->getVariable('id'));
		router::back($this->request);
	}	
	public function deleteLang(){
		$pagesDB = new pagesDB();
		$pagesDB->deleteTreeItems($this->request->getVariable('id'));
		router::back($this->request);
	}			
	public function toggleHide(){
		$pagesDB = new pagesDB();
		if($pagesDB->get($this->request->getVariable('id'), 'status')==pagesDB::STATUS_HIDE){
			$pagesDB->set($this->request->getVariable('id'),'status',pagesDB::STATUS_ACTIVE);
		}else{
			$pagesDB->set($this->request->getVariable('id'),'status',pagesDB::STATUS_HIDE);
		}
	}
	public function toggleSearchable(){
		$pagesDB = new pagesDB();
		if($pagesDB->get($this->request->getVariable('id'), 'searchable')==1){
			$pagesDB->set($this->request->getVariable('id'),'searchable',0);
		}else{
			$pagesDB->set($this->request->getVariable('id'),'searchable',1);
		}
	}
	public function toggleLoggedContent(){
		$pagesDB = new pagesDB();
		if($pagesDB->get($this->request->getVariable('id'), 'logged')==1){
			$pagesDB->set($this->request->getVariable('id'),'logged',0);
		}else{
			$pagesDB->set($this->request->getVariable('id'),'logged',1);
		}
	}
	
	
	public function toggleLock(){
		$pagesDB = new pagesDB();
		if($pagesDB->get($this->request->getVariable('id'),'lock')==1){
			$pagesDB->set($this->request->getVariable('id'),'lock',0);
		}else{
			$pagesDB->set($this->request->getVariable('id'),'lock',1);
		}
	}	
	public function deleteImage() {
		image::deleteImageById($this->request->getVariable('id'));
		router::back($this->request);
	}
	public function deleteMainImage(){
		image::deleteImageByBucket($this->request->getVariable('id'));
		$type = explode('-', $this->request->getVariable('id'));
		$pagesDB = new pagesDB();
		if ($type[0]=='icon') {
			$pagesDB->set($type[1],'hasIcon',0);
		}elseif($type[0]=='main'){
			$pagesDB->set($type[1],'hasImage',0);
		}
		router::back($this->request);
	}
	//show treelist element
	public static function showTreelistStatic($id) {
		$openIdArray = unserialize(cookie::readCookie('contentOpenId'));
		if(isset($openIdArray[$id])){
			$pagesDB = new pagesDB();
			$children = $pagesDB->getDependentIdListString($id);
			$childernArray = explode(',',$children);
			unset($openIdArray[$id]);
			foreach ($childernArray as $child){
				unset($openIdArray[$child]);
			}
		}else{
			$openIdArray[$id] = 1;
		}
		
		cookie::setCookie('contentOpenId',serialize($openIdArray),0);
	}
	public function showTreelist() {
		self::showTreelistStatic($this->request->getVariable('id'));
		router::back($this->request);
	}
	public function goEdit() {
		$id = $this->request->getVariable('id');
		self::showTreelistStatic($id);
		router::redirect('admin-content-action-id',array('action'=>'edit','id'=>$id));
	}
	
	//hide treelist element
	public function hideTreelistAll() {
		cookie::setCookie('contentOpenId',null,0);
		router::back($this->request);
	}	

	public function saveInPlaceEditorContent() {
		$content = $_POST['content'];

		$pagesDB = new pagesDB();
		$idArr = explode('_',$_POST['id']);
		
		$column = $idArr[0];
		$id = $idArr[1]; 
		
		$content = str_replace('<pre class="inline-widget">','',$content);
		$content = str_replace('&#123;&#123;','{{',$content);
		$content = str_replace('}}</pre>','}}',$content);
		$content = str_replace('&#125;&#125;','}}',$content);
		$content = str_replace(HOME,'{{$HOME}}', $content);
		
		$data=array($column=>$content);
		
		$pagesDB->updatePage($data,"id={$id}",false);
		echo $content;
	}
	public function restorePage(){
		$pagesBackupDB = new pagesbackupsDB();
		$pageFromBackup = $pagesBackupDB->getBackupedPage("id={$this->request->getVariable('id')}");
		$dataFromBackup = array('content'=>$pageFromBackup['content']);

		$pagesDB = new pagesDB();
		$page = $pagesDB->updatePage($dataFromBackup,"id={$pagesBackupDB->get($this->request->getVariable('id'),'pageId')}", false, false);		
		router::back($this->request);		
	}
	public function deletePageVersion(){
		$pagesBackupDB = new pagesbackupsDB();
		$pagesBackupDB->deleteRows("id={$this->request->getVariable('id')}");
		router::back($this->request);		
	}
	public function compactPageVersions(){
		$pagesBackupDB = new pagesbackupsDB();
		$pagesBackupDB->compact($this->request->getVariable('id'));
		router::back($this->request);		
	}	
	public function compactAllVersions(){
		$pagesBackupDB = new pagesbackupsDB();
		$pagesBackupDB->compactAllVersions();
		router::back($this->request);		
	}		
	public function editAjaxSuccess() {
		$data = array_map( 'stripslashes', $_POST );
		$pagesDB = new pagesDB();
		$page = $pagesDB->updatePage($data,"id={$this->request->getVariable('id')}");	
	}	
}
?>
