<div class="row-fluid">
	<div class="span4">
		<div class="box">
			<h5>
				{L key = "admin.tools.mailing.controller.contacts"}
			  	<div class="buttons">
			  		<a href="{$HOME}admin/tools/addMailingContactGroup/" class="btn btn-primary btn-small">{L key = "form.button.title.add"}</a>
			  		<a href="{$HOME}admin/tools/importContactGroup/" class="btn btn-info btn-small">{L key = "form.button.title.import"}</a>
			  		<a href="{$HOME}admin/tools/mergeContactGroup/" class="btn btn-inverse btn-small">{L key = "form.button.title.merge"}</a>
			  	</div>						
			</h5>
			<table class="table table-striped">
			  <tbody>
				{foreach $contactsGroups as $contactGroup}
			    <tr {if "editMailingContactGroup{$contactGroup->id}" == "{$REQUEST->getVariable('action')}{$REQUEST->getVariable('id')}"}class="active"{/if}>
			      <td>
			      	<i class="color-icons icons-mail-open-document-text icon-margin"> </i>
					{$contactGroup->name}
			      </td>
			      <td>
				    <div class="buttons" style="width:148px;">
				    	<a href="{$HOME}admin/tools/showContacts/{$contactGroup->id}/"><i class="icon-align-justify icon-blue">&nbsp;</i></a>
				    	<a href="{$HOME}admin/tools/exportToCSVContacts/{$contactGroup->id}/"><i class="icon-download-alt icon-green">&nbsp;</i></a>
				    	<a href="{$HOME}admin/tools/addContact/{$contactGroup->id}/"><i class="icon-plus-sign icon-green">&nbsp;</i></a>
				    	<a href="{$HOME}admin/tools/addMailingMassContact/{$contactGroup->id}/"><i class="icon-plus-sign icon-black">&nbsp;</i></a>
				    	<a href="{$HOME}admin/tools/editMailingContactGroup/{$contactGroup->id}/"><i class="icon-pencil icon-blue">&nbsp;</i></a>
				      	<a href="{$HOME}admin/do/mailing/deleteContactGroup/{$contactGroup->id}/"><i class="icon-remove-sign icon-red">&nbsp;</i></a>
				    </div>
			      </td>
			    </tr>
			
				{/foreach}	  	
			  </tbody>
			</table>
		</div>		

	</div>
	<div class="span8">
			{if is_object($formContact)}
			<div class="box">
				{$formContact->toHtml()}
			</div>
			{elseif is_array($emails)}
			<div class="box">
				<table class="table table-striped tablesort">
					<thead>
					<tr>
						<th>{L key="admin.system.controller.name"}</th>
					    <th>{L key="admin.tools.tpl.email"}</th>	
					    <th>{L key="admin.tools.controller.telephone"}</th>	
					    <th>{L key="admin.tools.controller.adress"}</th>		
					    <th>{L key="admin.tools.controller.city"}</th>	
					    <th>{L key="admin.tools.controller.code"}</th>	
					    <th>{L key="admin.tools.controller.other"}</th>	
						<th></th>
					</tr>
					</thead>
				  <tbody>
					{foreach $emails as $email}
				    <tr>
				      <td><i class="color-icons icons-mail-air icon-margin"> </i> {$email->name}</td>	
				      <td>{$email->email}</td>	
				      <td>{$email->telephone}</td>	
				      <td>{$email->adress}</td>		
				      <td>{$email->city}</td>	
				      <td>{$email->code}</td>	
				      <td>{$email->other}</td>		      
				      <td>
					    <div class="buttons" style="width:48px;">
					   		<a href="{$HOME}admin/tools/editContact/{$email->id}/"><i class="icon-pencil icon-blue">&nbsp;</i></a>
					      	<a href="{$HOME}admin/do/mailing/deleteEmail/{$email->id}/"><i class="icon-remove-sign icon-red">&nbsp;</i></a>
					    </div>
				      </td>
				    </tr>
					{/foreach}	 				 	
				  </tbody>
				</table>	
			</div>
			{else}
			<div class="row-fluid">				
			  <div class="span12 box margin-bottom">
				<h5>Statystyki nowych kontaktów</h5>
				
  	{literal}
	    <script type="text/javascript" src="https://www.google.com/jsapi"></script>
	    <script type="text/javascript">
	      google.load("visualization", "1", {packages:["corechart"]});
	      $(document).ready(function() {
	    	  window.dataContacts = google.visualization.arrayToDataTable([
		          {/literal}
		          ['Date', 'Contacts'],
		          {$lastContacts = 0}
		          {foreach $systemstatusDB->fetchAll(null, 'id ASC', '*', 365) as $stat}
		          ['{$stat->date}', {$stat->contacts-$lastContacts}],
		          {$lastContacts = $stat->contacts}
		          {/foreach}
		     	  {literal}
		        ]);
		      drawLineChartMedium('chartLineContacts',window.dataContacts);
		  }); 
	    </script>
	 {/literal}		
	 <div id="chartLineContacts" style="width: 99.9%; height:200px;"></div> 				
				
			  </div>	
			</div>  		 
  			<div class="row-fluid">	 				
				<div class="span3">
				  <div class="box pad margin-bottom align-center">
			   	 	{L key = "admin.tools.tpl.contact.contacts"} {L key = "admin.common.statistics.tpl.24"} 
			   	 	<h2>{$contactDB->fetchCount("createTime>='{generator::sqlDate(strtotime('-1 days'))}'")}</h2>    	 
			   	  </div> 
  				</div> 
				<div class="span3">
				  <div class="box pad margin-bottom align-center">
			   	 	{L key = "admin.tools.tpl.contact.contacts"} {L key = "admin.common.statistics.tpl.7days"} 
			   	 	<h2>{$contactDB->fetchCount("createTime>='{generator::sqlDate(strtotime('-7 days'))}'")}</h2>    	 
			   	  </div> 
  				</div>  
				<div class="span3">
				  <div class="box pad margin-bottom align-center">
			   	 	{L key = "admin.tools.tpl.contact.contacts"} {L key = "admin.common.statistics.tpl.30days"} 
			   	 	<h2>{$contactDB->fetchCount("createTime>='{generator::sqlDate(strtotime('-30 days'))}'")}</h2>    	 
			   	  </div> 
  				</div>  
				<div class="span3">
				  <div class="box pad margin-bottom align-center">
			   	 	{L key = "admin.tools.tpl.contact.contacts"}
			   	 	<h2>{$contactDB->fetchCount()}</h2>    	 
			   	  </div> 
  				</div>    				  				  				  	  				
			</div>
			{/if}
		{if is_array($emails)}
			{include file='common/paginator.tpl' elementsCount=$emailsCount count=$pageCount}
		{/if}
	</div>
</div>
