{function name=treelist} 
  {foreach $data as $entry} 
    {if $entry->type>=pagesDB::TYPE_LANG_CATALOG}
    	<li id="item-id-{$entry->id}" class="{if $entry->type==pagesDB::TYPE_GALLERY or $entry->type==pagesDB::TYPE_NEWS_GROUP}no-nest{/if} {if $entry->id == $id}active{/if}">
	    	<div>
				 {include file='common/content_list_icon.tpl' type=$entry->type}
				 {if $entry->type==pagesDB::TYPE_LANG_CATALOG or $entry->type==pagesDB::TYPE_CATALOG or $entry->type==pagesDB::TYPE_NEWS_GROUP}
				 	<a href="{$HOME}admin/do/content/showTreelist/{$entry->id}/">{$entry->name|truncate:30}</a>
				 {else}
				 	{$entry->name|truncate:30}
				 {/if}
				 <div class="buttons">
					 {if $entry->type==pagesDB::TYPE_GALLERY}
						<a href="{$HOME}admin/content/gallery/{$entry->id}/"><i class="icon-plus-sign icon-green">&nbsp;</i></a>
					 {elseif $entry->type==pagesDB::TYPE_NEWS_GROUP}
						<a href="{$HOME}admin/content/news/{$entry->id}/"><i class="icon-plus-sign icon-green">&nbsp;</i></a>
					 {else}					 
					 	<a href="{$HOME}admin/content/add/{$entry->id}/"><i class="icon-plus-sign icon-green">&nbsp;</i></a>
					 {/if}		
					 
					 {if $entry->type==pagesDB::TYPE_URL AND $entry->lock == 0}
					 	<a href="{$HOME}admin/content/editUrl/{$entry->id}/"><i class="icon-pencil icon-blue">&nbsp;</i></a> 
					 {elseif $entry->lock == 0}
					 	<a href="{$HOME}admin/content/edit/{$entry->id}/"><i class="icon-pencil icon-blue">&nbsp;</i></a> 
					 {else}
					 	<span><i class="icon-pencil icon-grey">&nbsp;</i></span>
					 {/if} 		 

					<span href="#" onclick="loadDoAction('{$HOME}admin/do/content/toggleHide/{$entry->id}/','#hidden-{$entry->id}')" id='hidden-{$entry->id}'><i class="icon-eye-open {if $entry->status == 1}icon-grey{else}icon-red{/if}">&nbsp;</i></span>
					{if $usersDB->isDeveloper()}
						<span onclick="loadDoAction('{$HOME}admin/do/content/toggleLoggedContent/{$entry->id}/','#loggedcontent-{$entry->id}')" id='loggedcontent-{$entry->id}'><i class="icon-lock {if $entry->logged == 1}icon-red{else}icon-grey{/if}">&nbsp;</i></span>
						<span onclick="loadDoAction('{$HOME}admin/do/content/toggleLock/{$entry->id}/','#lock-{$entry->id}')" id='lock-{$entry->id}'><i class="icon-edit {if $entry->lock == 1}icon-red{else}icon-grey{/if}">&nbsp;</i></span>
						<span onclick="loadDoAction('{$HOME}admin/do/content/toggleSearchable/{$entry->id}/','#search-{$entry->id}')" id='search-{$entry->id}'><i class="icon-search {if $entry->searchable == 0}icon-red{else}icon-grey{/if}">&nbsp;</i></span>
					{/if}				
					
					{if $entry->lock == 0}<a href="{$HOME}admin/do/content/delete/{$entry->id}/"><i class="icon-remove-sign icon-red">&nbsp;</i></a>
					{else}<span><i class="icon-remove-sign icon-grey">&nbsp;</i></span>{/if}
				</div>
			</div>
			{if $entry->type==pagesDB::TYPE_NEWS_GROUP}{assign sort 'date DESC'}{else}{assign sort 'position ASC'}{/if}
			{if cookie::readCookie(showAllOn)}
				<ul style="padding-left:20px;">{treelist data=$pagesDB->getPagesByParent($entry->id,"status !=0",$sort)}</ul>
		    {else}
				{if $pagesDB->checkParentsOpen(unserialize(cookie::readCookie('contentOpenId')),$entry)}
		    	<ul style="padding-left:20px;">{treelist data=$pagesDB->getPagesByParent($entry->id,"status !=0",$sort)}</ul>
		    	{/if}		    	
		    {/if}

    	</li>
	{else}
		<li id="item-id-{$entry->id}" class="no-nest {if $entry->id == $id}active{/if}">
			<div>
				{include file='common/content_list_icon.tpl' type=$entry->type}{$entry->name|truncate:30}
				<div class="buttons">
					 {if $entry->type==pagesDB::TYPE_URL AND $entry->lock == 0}
					 	<a href="{$HOME}admin/content/editUrl/{$entry->id}/"><i class="icon-pencil icon-blue">&nbsp;</i></a> 
					 {elseif $entry->lock == 0}
					 	<a href="{$HOME}admin/content/edit/{$entry->id}/"><i class="icon-pencil icon-blue">&nbsp;</i></a> 
					 {else}
					 	<span><i class="icon-pencil icon-grey">&nbsp;</i></span>
					 {/if}
					 
					<span onclick="loadDoAction('{$HOME}admin/do/content/toggleHide/{$entry->id}/','#hidden-{$entry->id}')" id='hidden-{$entry->id}'><i class="icon-eye-open {if $entry->status == 1}icon-grey{else}icon-red{/if}">&nbsp;</i></span>
					{if $usersDB->isDeveloper()}
						<span onclick="loadDoAction('{$HOME}admin/do/content/toggleLoggedContent/{$entry->id}/','#loggedcontent-{$entry->id}')" id='loggedcontent-{$entry->id}'><i class="icon-lock {if $entry->lock == 1}icon-red{else}icon-grey{/if}">&nbsp;</i></span>
						<span onclick="loadDoAction('{$HOME}admin/do/content/toggleLock/{$entry->id}/','#lock-{$entry->id}')" id='lock-{$entry->id}'><i class="icon-edit {if $entry->lock == 1}icon-red{else}icon-grey{/if}">&nbsp;</i></span>
						<span onclick="loadDoAction('{$HOME}admin/do/content/toggleSearchable/{$entry->id}/','#search-{$entry->id}')" id='search-{$entry->id}'><i class="icon-search {if $entry->searchable == 0}icon-red{else}icon-grey{/if}">&nbsp;</i></span>
					{/if}					
					{if $entry->lock == 0}<a href="{$HOME}admin/do/content/delete/{$entry->id}/"><i class="icon-remove-sign icon-red">&nbsp;</i></a>
					{else}<span><i class="icon-remove-sign icon-grey">&nbsp;</i></span>{/if}
				</div>
			</div>
		</li> 
	{/if} 
  {/foreach} 
{/function}

<ul class="sortable {if cookie::readCookie(sortableOn)}sortable-cursor{/if} list-bg" {if cookie::readCookie(sortableOn)}id="sortableTreeList"{/if}>
{treelist data=$pagesDB->getPagesByParent(0,"status !=0")}
{treelist data=$pagesDB->getPagesByParent(-1,"status !=0")}
</ul>  