<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html>
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
		{foreach resourceManager::loadAdminCSS() as $cssFile}
			<link rel='stylesheet' href='{$cssFile}'>
		{/foreach}						           
		<!--[if lt IE 9]><script src="http://html5shim.googlecode.com/svn/trunk/html5.js"></script><![endif]-->
		
		<script type="text/javascript">
			window.HOME = "{$HOME}";
			window.SUBDIR = "{$smarty.const.SUBDIR}";
			window.TEMPLATE = "{config::get(template)}";
			window.MAX_UPLOAD_FILE_SIZE = "{generator::returnBytes($smarty.const.MAX_UPLOAD_FILE_SIZE)}";
		</script>
		{foreach resourceManager::loadAdminJS() as $jsFile}
			<script type="text/javascript" src="{$jsFile}"></script>
		{/foreach}

		<!--[if gte IE 8]><script src="{$HOME}image/resources/blueimp-jQuery-File-Upload/js/cors/jquery.xdr-transport.js"></script><![endif]-->		
		<title>Windu2 - Admin</title>
	</head>
{assign bg config::get("backgroundAdmin{$loggedIn->id}")}
<body style="background-image: url('{$HOME}app/plugins/admin/resources/img/{if $bg!=null}{$bg}{else}bgcolor2.jpg{/if}');">

	{include file='common/notify_modal.tpl'}
	{include file='common/note_modal.tpl'}
	{include file='common/alert.tpl'}
	<div id="container">
		<div id="sidebar" class="sidebar-small">
			{include file='common/page_menu.tpl'}
		</div>
		<div id="content">
			<div class="user-dropdown">
			    {include file='common/top_right_buttons.tpl'}
				<div class="btn-group" style="margin-bottom: -1px;">
		          <a class="btn btn-{if $usersDB->isDeveloper()}danger{else}inverse{/if}" href="{$HOME}admin/do/toggleDeveloperMode/">
		          	<i class="icon-{if $usersDB->isDeveloper()}fire{else}user{/if} icon-white"></i> {$loggedIn->username}
		          </a>

		          <a class="btn btn-{if $usersDB->isDeveloper()}danger{else}inverse{/if} dropdown-toggle" data-toggle="dropdown" href="#"><span class="caret"></span></a>

		          <ul class="dropdown-menu">
		            <li><a href="{$HOME}admin/users/editUserSystem/{$loggedIn->id}/#tab1"><i class="icon-pencil"></i> {L key = "admin.main.tpl.editprofile"}</a></li>
		            <li><a href="#"><i class="icon-cog"></i> {L key = "admin.main.tpl.settings"}</a></li>
		            <li><a href="{$HOME}admin/do/toggleDeveloperMode/"><i class="icon-fire icon-red"></i> {L key = "admin.main.tpl.devmode"}</a></li>
		            <li class="divider"></li>
		            <li><a href="{$HOME}admin/login/logout/"><i class="icon-lock"></i> {L key = "admin.main.tpl.logout"}</a></li>
		          </ul> 
		        </div>	
		        {if !license::hasPro()}
 					<a href="{if lang::read('lang')=='PL'}{license::$buyLicensesLinkPL}{else}{license::$buyLicensesLinkEN}{/if}" target="blank" rel="tooltipbottom" data-original-title="Zakup licencje rozszeżoną" class="btn btn-primary"  style="padding-left:10px; padding-right:10px;" >Go PRO</a>
				{/if}
		    </div>
			{include file=$page_content}
			<div id="footer">
				<div class="bottom-panel">
					<div class="row-fluid">
  						<div class="span4">
 							{if !cache::isCached($SITE_PATH,3600)}{cache::write($SITE_PATH,round(baseFile::getSize({$SITE_PATH})/1048576,2),'disSize')}{/if}
 							
 							<i class="color-icons icons-network-ip-local">&nbsp;</i>&nbsp;{generator::ip()} &nbsp;&nbsp;
							<i class="color-icons icons-database icon-margin">&nbsp;</i>{cache::read($SITE_PATH)} MB &nbsp;&nbsp;
							<i class="color-icons icons-databases icon-margin">&nbsp;</i>{round(baseFile::getSize($smarty.const.FILE_DB_PATH)/1048576,2)} MB &nbsp;&nbsp;
							<i class="color-icons icons-system-monitor">&nbsp;</i>&nbsp; {round(memory_get_usage(true)/1048576,2)} MB
													
  						</div>
  						<div class="span4" style="text-align:center; margin-top:-5px; margin-bottom:-2px;">
							{if notifyDB::count()>0 and usersDB::permissionCheck(adminSystemController)}
								<a data-toggle="modal" data-target="#notifyModal" href="#" class="btn btn-danger" style="margin-right:1px;  padding-left:12px; padding-right:12px;" data-original-title="Powiadomienia"><strong>{notifyDB::count()}</strong></a>
							{/if}
							  	{if check::update(true)}
							  		<a href="{$HOME}admin/update/" data-original-title="{L key = 'admin.system.tpl.updatesystem'}" class="btn btn-warning"  style="margin-right:1px; padding-left:5px; padding-right:5px;" >&nbsp;<i class="icon-circle-arrow-up icon-white">&nbsp;</i>&nbsp;</a>   
							{/if}				
							<a href="{$HOME}admin/do/flushCache/" data-original-title="Usuń cache strony" class="btn btn-inverse"  style="margin-right:1px; padding-left:5px; padding-right:5px;" >&nbsp;<i class="icon-repeat icon-white">&nbsp;</i>&nbsp;</a>   
							<a href="{$HOME}" target="_blank" data-original-title="Zobacz strone" class="btn btn-inverse"  style="margin-right:1px; padding-left:5px; padding-right:5px;" >&nbsp;<i class="icon-globe icon-white">&nbsp;</i>&nbsp;</a>   
											
							<a href="#modal" data-original-title="Notatnik" class="btn btn-inverse" data-toggle="modal" data-target="#notesModal" style="margin-right:1px; padding-left:5px; padding-right:5px;" >&nbsp;<i class="icon-book icon-white">&nbsp;</i>&nbsp;</a>
			  				{if !license::hasPro()}
			 					<a href="{if lang::read('lang')=='PL'}{license::$buyLicensesLinkPL}{else}{license::$buyLicensesLinkEN}{/if}" target="blank" rel="tooltipbottom" data-original-title="Zakup licencje rozszeżoną" class="btn btn-primary"  style="padding-left:10px; padding-right:10px;" >Go PRO</a>
							{/if} 						
  						</div>
    					<div class="span4 admin-themplates">
    						<a href="{$HOME}admin/mainDo/setBackground/bgcolor7.jpg/" style="background-color:#111;"></a>
    						<a href="{$HOME}admin/mainDo/setBackground/bgcolor6.jpg/" style="background-color:#52555e;"></a>
  							<a href="{$HOME}admin/mainDo/setBackground/bgcolor1.jpg/" style="background-color:#827169;"></a>
  							<a href="{$HOME}admin/mainDo/setBackground/bgcolor2.jpg/" style="background-color:#804f2f;"></a>
  							<a href="{$HOME}admin/mainDo/setBackground/bgcolor3.jpg/" style="background-color:#713774;"></a>
  							<a href="{$HOME}admin/mainDo/setBackground/bgcolor4.jpg/" style="background-color:#1d6ca4;"></a>
  							<a href="{$HOME}admin/mainDo/setBackground/bgcolor5.jpg/" style="background-color:#3f610a;"></a>
  						</div>						
					</div>
				</div>
				<div class="center">
				{L key = "admin.main.tpl.design"} <strong>Adam Czajkowski</strong><br>WinduCMS 2.1 rev: <strong>{config::get(revision)}</strong>
				</div>
			</div>			
		</div>

	</div>
</body> 
</html>