<?php /*windu.org database*/

class traceDB extends baseDB
{
    const CREATETIMEFIELD = 'createTime';
    const UPDATETIMEFIELD = 'updateTime';
    const CREATEIPFIELD = 'createIP';
    const UPDATEIPFIELD = 'updateIP';
    
    public function insert(array $data = array(), $bindValues = array())
    {
		$data[self::CREATETIMEFIELD] = generator::sqlDatetime();
		$data[self::UPDATETIMEFIELD] = generator::sqlDatetime();
		$data[self::CREATEIPFIELD] = generator::ip();
		$data[self::UPDATEIPFIELD] = generator::ip();
		
    	return parent::insert($data, $where, $bindValues);
    }  
    public function updateRow($data, $where = null, $bindValues = array())
    {
		$data[self::UPDATETIMEFIELD] = generator::sqlDatetime();
		$data[self::UPDATEIPFIELD] = generator::ip();		
    	parent::updateRow($data, $where, $bindValues);
    } 

}

?>
