<?php /*windu.org html controller*/
Class htmlController extends controller{
	public function smartyGo()
	{
		require_once( __SITE_PATH . '/app/plugins/html/smarty/SmartyBC.class.php'); 
		
		$this->smarty = new SmartyBC();
		$this->smarty->compile_dir  = __SITE_PATH . '/cache/templates_c/';
		$this->smarty->cache_dir    = __SITE_PATH . '/cache/cache/';
		$this->smarty->plugins_dir  = array(__SITE_PATH . '/app/plugins/html/smarty/plugins/',
											__SITE_PATH . '/app/plugins/html/smartyPlugins/',
											__SITE_PATH . '/data/functions/');

		$this->smarty->assign('HOME',HOME);
		$this->smarty->assign('SITE_PATH',__SITE_PATH);
	}	
	public function __construct(request $request)
	{
		parent::__construct($request);
		
		$this->smartyGo();
		$this->smarty->assign('REQUEST',$request);
	}
	public function pageDisplay($tpl,$cacheKey = null)
	{
		$this->smarty->display($tpl,$cacheKey);
	}	
	public function pageDisplayHook($tpl,$mainTpl,$hook = 'page',$cacheKey = null) {
		$this->smarty->assign($hook,$tpl);
		$this->smarty->display($mainTpl,$cacheKey);
	}	
	public function pageFetchHook($tpl,$mainTpl,$hook = 'page',$data,$cacheKey = null) {
		$this->smarty->assign($hook,$tpl);
		$this->smarty->assign('data',$data);
		return $this->smarty->fetch($mainTpl,$cacheKey);
	}
}
?>
