<?php /*windu.org image controller*/
Class imageController extends controller
{	
	public function index(){
		$ekey = $this->request->getVariable('ekey');
		$transform = $this->request->getVariable('transform');
		$filters = $this->request->getVariable('filters');
		$quality = $this->request->getVariable('quality');
		$width = $this->request->getVariable('width');
		$height = $this->request->getVariable('height');
		
		
		if($this->request->getVariable('transform') == 'original'){
			$imagesDB = new imagesDB();
			$image = $imagesDB->getByEkey($ekey);
			$type = $image->type;
			
			$imagePath=DATA_PATH.'/files/'.$image->path.'/'.$image->fileName;
			$imageOpen = fopen($imagePath,'rb');
		}else{
			if ($transform!=null){$transform = $transform;}else{$transform = 'natural';}
			if ($filters!=null){$filters = $filters;}else{$filters = 'original';}
			if ($quality!=null){$quality = $quality;}else{$quality = config::get('imgQuality');}
	
			$image = image::getByEkey($ekey,$width,$height,$transform,$filters,$quality);
			
			$type = $image->type;
			$imagePath=__SITE_PATH.'/'.$image->fullThumbPath;
	
			$imageOpen = fopen($imagePath,'rb');
		}
		$fileSize = filesize($imagePath);
		
		header("Pragma: ");
   		header("Cache-Control: ");
		header('Content-Type: image/'.$type);
		header("Content-Disposition:inline; filename='{$image->name}_{$image->fileName}'");
		header("Content-length: {$fileSize}");
		header("Connection: close");
		fpassthru($imageOpen);
		fclose($imageOpen);
	}
}
?>
