<?php

Class widgetSmartyMainController extends widgetMainController
{	
	public $params;
	public function __construct($params,$request)
	{
		parent::__construct($params,$request);
		$this->smartyGo();
		$this->smarty->assign('REQUEST',$request);		
	}	
	function smartyGo()
	{
		require_once( __SITE_PATH . '/app/plugins/html/smarty/SmartyBC.class.php'); 
		
		$this->smarty = new SmartyBC();
		$this->smarty->compile_dir  = __SITE_PATH . '/cache/templates_c/';
		$this->smarty->cache_dir    = __SITE_PATH . '/cache/cache/';
		$this->smarty->plugins_dir  = array(__SITE_PATH . '/app/plugins/html/smarty/plugins/',
											__SITE_PATH . '/app/plugins/html/smartyPlugins/',
											DATA_PATH . 'functions/');

		$this->smarty->assign('HOME',HOME);
		
		$template = config::get('template');
											
		$this->smarty->template_dir = array(TEMPLATES_PATH.$template.'/tpl_main/',
											TEMPLATES_PATH.$template.'/tpl_common/',
											TEMPLATES_PATH.$template.'/tpl_mail/',
											TEMPLATES_PATH.$template.'/tpl_views/');		
																					
		$this->smarty->left_delimiter = "{{";
		$this->smarty->right_delimiter = "}}";

		$this->smarty->caching = config::get('cache');
		
		$homeTemplate = str_replace(__SITE_PATH, HOME, TEMPLATES_PATH);
		$this->smarty->assign('TEMPLATE_HOME',$homeTemplate.$template);
	}		
}
?>
